MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021518Community[OCCT] OCCT:Modeling Algorithmspublic2009-12-15 10:512011-12-15 16:27
Reporterszv 
Assigned Toszv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.4.0 
Summary0021518: Improvement of the function Angle2D in BOP_WireSplitter.cxx
DescriptionThis problem is reported on the Forum
(http://www.opencascade.org/org/forum/thread_17712/ [^]).

"I have been having problems with BRepAlgoAPI_Cut when I have two solids that
have overlapping faces and where one solid is not entirely inside the other.
Think of a small cube and a large cube that share one corner. OpenCascade
constantly crashed when trying to cut these.
In the end I have tracked it down to a failure in the Angle2D method of
BOP_WireSplitter. At the end of this function it creates a gp_Dir2d instance and
then crashes when it calls the Angle function."

The suggested (extended by SZV) fix is attached.
TagsNo tags attached.
Test case number
Attached Fileszip file icon patch.zip (7,407 bytes) 2009-12-15 10:51
cxx file icon BOP_WireSplitter.cxx (27,498 bytes) 2009-12-18 13:44

- Relationships

-  Notes
(0014970)
bugmaster (administrator)
2010-06-23 13:37

New Revision: 8003

Added:
   trunk/src/BOP/BOP_WireSplitter.lxx
Modified:
   trunk/src/BOP/BOP_WireSplitter.cdl
   trunk/src/BOP/BOP_WireSplitter.cxx
Log:
OCC21518 Improvement of the function Angle2D in BOP_WireSplitter.cxx
Developed by : SZV

- Issue History
Date Modified Username Field Change
2009-12-16 14:43 bugmaster Assigned To bugmaster => szv
2009-12-16 14:43 bugmaster Status new => assigned
2010-03-10 14:34 bugmaster Status assigned => resolved
2010-06-23 13:37 bugmaster Status resolved => tested
2010-07-28 15:32 bugmaster Status tested => verified
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-12-15 16:27 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker